---
current_realm_name: "{{ awx_oidc_realm }}"

current_realm_clients:
  - name: "{{ awx_oidc_client_id }}"
    clientId: "{{ awx_oidc_client_id }}"
    admin_url: "{{ shared_service_kube_url_awx }}/"
    root_url: "{{ shared_service_kube_url_awx }}/"
    redirect_uris:
      - "{{ shared_service_kube_url_awx }}/sso/complete/oidc/"
    secret: "{{ awx_oidc_client_secret }}"
    web_origins:
      - "{{ shared_service_kube_url_argocd }}/"
    default_client_scopes: "{{ keycloak_default_client_scopes + ['groups'] }}"

current_realm_users:
  - username: "{{ awx_oidc_admin_username }}"
    password: "{{ awx_oidc_admin_password }}"
    email: "{{ awx_oidc_admin_email }}"
    firstName: "Netgo"
    lastName: "Administrator"
    requiredActions: []

current_realm_admin_users:
  - username: "awx-realm-admin"
    password: "{{ infrastructure_realm_admin_password_vault }}"
    email: "{{ awx_oidc_admin_email }}"
    firstName: "Netgo"
    lastName: "Administrator"
    requiredActions: []

current_realm_groups:
  - name: "awx-admin"

current_user_groupmembership:
  - username: "awx-admin"
    destination_group: "awx-admin"

keycloak_force_prune: true
